STRICT = true
DEBUG = true

require 'zoetrope'
deque = require 'deque'

require 'version'
require 'player'

GameView = View:extend {
   onNew = function (self)
              --self:loadLayers('data/map.lua')
              --self.focus = the.player
              --self:clampTo(self.bg)

              the.player = Player:new{x = the.app.width / 2,
                                      y = the.app.height / 2}
              self:add(the.player)
           end,
   onUpdate = function(self, dt)
                 if the.keys:justPressed('escape', 'q') then
                    the.app:quit()
                 end
              end,
}

the.app = App:new {
   name = "LD Warmup",
   onRun = function (self)
              print('Version: ' .. VERSION)

              self.view = GameView:new()

              if DEBUG then
                 self.console:watch('VERSION', 'VERSION')

                 -- back off that dark overlay a bit
                 self.console.fill.fill[4] = 75
              end
           end,
}
